local error = {}

function error.load()
    error.img = love.graphics.newImage("res/error.png")
    error.w = love.window:getWidth()
end

function error.enter(data)
    print("Error: "..data[1])
    error.msg = data[1]
end

function error.update(dt)
    if error.shouldQuit then return "logo" end
end

function error.keypressed()
    error.shouldQuit = true
end

function error.draw()
    love.graphics.draw(error.img, (error.w-256)/2, 10)
    love.graphics.printf(error.msg, 400, 300, 0, "center")
end

return error
